Subject: Re: bug#51498: onionshare build is broken

From: Efraim Flashner <[email-masked]>
Date: Mon, 1 Nov 2021 12:37:39 +0200

On Sat, Oct 30, 2021 at 02:53:28AM +0000, raid5atemyhomework via Bug reports for GNU Guix wrote:
> onionshare is broken on master 89d8417; `guix time-machine --commit=89d8417b371f3918f0508bbc561675ec100a6add -- build onionshare` results in:
> 
> 
> ```
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
> tests/gui_base_test.py:88: in new_share_tab
>     self.verify_new_tab(tab)
> tests/gui_base_test.py:80: in verify_new_tab
>     self.assertTrue(tab.new_tab.isVisible())
> E   AssertionError: False is not true
> --------------------------- Captured stdout teardown ---------------------------
> [Oct 28 2021 04:36:21 AM] MainWindow.closeEvent
> [Oct 28 2021 04:36:21 AM] MainWindow.closeEvent, opening warning dialog
> [Oct 28 2021 04:36:21 AM] MainWindow.cleanup
> [Oct 28 2021 04:36:21 AM] TabWidget.cleanup
> [Oct 28 2021 04:36:21 AM] Tab.cleanup: tab_id=8
> [Oct 28 2021 04:36:21 AM] Web.stop: stopping server
> [Oct 28 2021 04:36:22 AM] Web.cleanup
> [Oct 28 2021 04:36:22 AM] Alert.__init__
> [Oct 28 2021 04:36:22 AM] OnionCleanupThread.__init__
> [Oct 28 2021 04:36:22 AM] OnionCleanupThread.run
> [Oct 28 2021 04:36:22 AM] Onion.cleanup
> --------------------------- Captured stderr teardown ---------------------------
> This plugin does not support propagateSizeHints()
> This plugin does not support propagateSizeHints()
> ---------------------------- Captured log teardown -----------------------------
> INFO     werkzeug:_internal.py:113 127.0.0.1 - - [28/Oct/2021 04:36:21] "GET /3x7qnpxrxhm3w7pzdxxfntvsvq/shutdown HTTP/1.1" 200 -
> ============== 6 failed, 8 passed, 5 skipped in 83.88s (0:01:23) ===============
> QThread: Destroyed while thread is still running
> Fatal Python error: Aborted
> 
> Thread 0x00007fffd77fe700 (most recent call first):
>   File "/gnu/store/9w9jvy3bgjg4qaqmrij01nbppiccqr7c-python-3.8.2/lib/python3.8/zipfile.py", line 1139 in write
>   File "/gnu/store/9w9jvy3bgjg4qaqmrij01nbppiccqr7c-python-3.8.2/lib/python3.8/shutil.py", line 205 in copyfileobj
>   File "/gnu/store/9w9jvy3bgjg4qaqmrij01nbppiccqr7c-python-3.8.2/lib/python3.8/zipfile.py", line 1776 in write
>   File "/gnu/store/qycixjbyhvh2mchlrsbadvrh0p81lgpz-onionshare-cli-2.3.2/lib/python3.8/site-packages/onionshare_cli/web/share_mode.py", line 565 in add_file
>   File "/gnu/store/qycixjbyhvh2mchlrsbadvrh0p81lgpz-onionshare-cli-2.3.2/lib/python3.8/site-packages/onionshare_cli/web/share_mode.py", line 511 in build_zipfile_list
>   File "/gnu/store/qycixjbyhvh2mchlrsbadvrh0p81lgpz-onionshare-cli-2.3.2/lib/python3.8/site-packages/onionshare_cli/web/share_mode.py", line 418 in set_file_info_custom
>   File "/gnu/store/qycixjbyhvh2mchlrsbadvrh0p81lgpz-onionshare-cli-2.3.2/lib/python3.8/site-packages/onionshare_cli/web/send_base_mode.py", line 130 in set_file_info
>   File "/gnu/store/vz73w4kdk44swsws46kvzvypk2dg6nv3-onionshare-2.3.2/lib/python3.8/site-packages/onionshare/tab/mode/share_mode/threads.py", line 46 in run
> 
> Current thread 0x00007ffff785c300 (most recent call first):
> <no Python frame>
> ./tests/run.sh: line 6:    76 Aborted                 pytest -v tests/test_gui_share.py
> command "./tests/run.sh" failed with status 134
> builder for `/gnu/store/nwm0wl6ilxgaqwl331fmp3ggxgh706a5-onionshare-2.3.2.drv' failed with exit code 1
> build of /gnu/store/nwm0wl6ilxgaqwl331fmp3ggxgh706a5-onionshare-2.3.2.drv failed
> View build log at '/var/log/guix/drvs/nw/m0wl6ilxgaqwl331fmp3ggxgh706a5-onionshare-2.3.2.drv.bz2'.
> guix build: error: build of `/gnu/store/nwm0wl6ilxgaqwl331fmp3ggxgh706a5-onionshare-2.3.2.drv' failed
> ```
> 
> Doing a `git bisect` got me to this:
> 
> * bad: `guix time-machine --commit=ebc274063716a3a9471f51abb526d693c06b9f63 -- build onionshare`
> * good: `guix time-machine --commit=c6adc0947396daa6d85ab08837f9cbc86f4d8722 -- build onionshare`
>   * result: `/gnu/store/gsi65h1zj2wg8wm7c3jy2p1ac8yyynfs-onionshare-2.3.2`
> 
> However the bad commit seems to be just an update on `tor` version; I am not certain why it would cause this build failure.
> 
> Thanks,
> raid5atemyhomework

Can you test it again? I was able to build it just now with commit
c0c974ad96767a1e207fe2823cd5479605485415. I was also able to build it
with your provided commit above.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted